package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Shear;

public class ShearGoBrr extends CommandBase {
  private Shear m_shear;

  public ShearGoBrr(Shear shear) {
    addRequirements(shear);
    m_shear = shear;
  }

  @Override
  public void initialize() {
    m_shear.brr();
  }

  @Override
  public void execute() {
  }

  @Override
  public void end(boolean interrupted) {
    m_shear.stop();
  }

  @Override
  public boolean isFinished() {
    return false;
  }
}
