package frc.robot.commands;

import edu.wpi.first.wpilibj.Timer;
import edu.wpi.first.wpilibj2.command.CommandBase;
import edu.wpi.first.wpilibj2.command.SubsystemBase;

public class Wait extends CommandBase {
  private double m_startTime;
  private double m_time;

  public Wait(SubsystemBase subsystem, double time) {
    addRequirements(subsystem);

    m_time = time;
  }

  @Override
  public void initialize() {
    m_startTime = Timer.getFPGATimestamp();
  }

  @Override
  public void execute() {
  }

  @Override
  public void end(boolean interrupted) {
  }

  @Override
  public boolean isFinished() {
    double curTime = Timer.getFPGATimestamp();
    return curTime - m_startTime > m_time;
  }
}
