package frc.robot.subsystems;

import com.ctre.phoenix.motorcontrol.ControlMode;
import com.ctre.phoenix.motorcontrol.can.TalonSRX;

import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.Constants;

public class PotatoCannon extends SubsystemBase {
  public TalonSRX m_shooter = new TalonSRX(Constants.SHOOTER);

  public double a = 0.0;

  public PotatoCannon() {
    m_shooter.setInverted(false);
    // m_shooter.configSelectedFeedbackSensor(FeedbackDevice.CTRE_MagEncoder_Relative);
    // m_shooter.setSensorPhase(true);
    // m_shooter.config_kP(0, Constants.TURN_P);
    // m_shooter.config_kI(0, Constants.TURN_I);
    // m_shooter.config_kD(0, Constants.TURN_D);
  }

  public void set(double rpm) {
    // m_shooter.set(ControlMode.Velocity, rpm * Constants.SHOOTER_COUNTS_PER_REV);
    m_shooter.set(ControlMode.PercentOutput, rpm);
  }

  public boolean isAtSpeed() {
    return Math.abs(m_shooter.getClosedLoopError()) < Constants.SHOOTER_TARGET_ERROR;
  }

  @Override
  public void periodic() {
    // m_shooter.set(ControlMode.PercentOutput, 0.1);
    // This method will be called once per scheduler run
  }

  @Override
  public void simulationPeriodic() {
    // This method will be called once per scheduler run during simulation
  }
}
