package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Shear;

public class SetShear extends CommandBase {
  private Shear m_shear;

  private double m_angle;

  public SetShear(Shear shear, double angle) {
    addRequirements(shear);
    m_shear = shear;
    m_angle = angle;
  }

  @Override
  public void initialize() {
    m_shear.set(m_angle);
  }

  @Override
  public void execute() {
  }

  @Override
  public void end(boolean interrupted) {
  }

  @Override
  public boolean isFinished() {
    return m_shear.atTarget();
  }
}
