package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.PotatoCannon;

public class SetShooterSpeed extends CommandBase {
  private PotatoCannon m_cannon;
  private double m_speed;

  public SetShooterSpeed(PotatoCannon cannon, double speed) {
    addRequirements(cannon);
    m_cannon = cannon;
    m_speed = speed;
    // System.out.println("WOT " + speed);
  }

  @Override
  public void initialize() {
    // if(m_speed > 0)
    //   m_cannon.a+=0.1;
    // else
    //   m_cannon.a-=0.1;
    m_cannon.set(m_speed);
  }

  @Override
  public void execute() {}

  @Override
  public void end(boolean interrupted) {}

  @Override
  public boolean isFinished() {
    return true;
  }
}
