package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Gatherer;

public class Succ extends CommandBase {
  private Gatherer m_gatherer;

  public Succ(Gatherer gatherer) {
    addRequirements(gatherer);
    m_gatherer = gatherer;
  }

  @Override
  public void initialize() {
    m_gatherer.gather();
  }

  @Override
  public void execute() {
  }

  @Override
  public void end(boolean interrupted) {
    m_gatherer.stop();
  }

  @Override
  public boolean isFinished() {
    return false;
  }
}
