package frc.robot.commands;

import edu.wpi.first.wpilibj2.command.CommandBase;
import frc.robot.subsystems.Chassis;

public class ZeroGyro extends CommandBase {
  private Chassis m_chassis;

  public ZeroGyro(Chassis chassis) {
    addRequirements(chassis);
    m_chassis = chassis;
  }

  @Override
  public void initialize() {
    m_chassis.zeroGyro();
  }

  @Override
  public void execute() {
  }

  @Override
  public void end(boolean interrupted) {
  }

  @Override
  public boolean isFinished() {
    return true;
  }
}
